CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

浮点法 (ActiveX)

2023-1-4 10:23| 发布者: admin| 查看: 485| 评论: 0|来自: AutoCAD

摘要: 浮动工具栏。

浮动工具栏。

支持的平台:仅窗口

签名

工 务 局:

object.Float Top, Left, NumberFloatRows
对象

类型:工具栏

此方法适用的对象。

返回页首

访问:仅输入

类型:

工具栏上边缘的像素位置。

访问:仅输入

类型:

工具栏左边缘的像素位置。

数字浮点行

访问:仅输入

类型:

要在水平工具栏中创建的行数。工具栏上的按钮将自动分布在指定的行数上。

返回值(RetVal)

无返回值。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_Float()
    ' This example creates a new toolbar called "TestToolbar" and inserts three
    ' buttons into it. The toolbar is then displayed as a floating toolbar,
    ' and then as a docked toolbar.
    ' To remove the toolbar after execution of this macro, use the Customize Menu
    ' option from the Tools menu.
    
    Dim currMenuGroup As acadMenuGroup
    Set currMenuGroup = ThisDrawing.Application.MenuGroups.Item(0)
    
    ' Create the new toolbar
    Dim newToolBar As AcadToolbar
    Set newToolBar = currMenuGroup.Toolbars.Add("TestToolbar")
    
    ' Add three buttons to the new toolbar.
    ' All three buttons will have the same macro attached.
    Dim newButton1 As AcadToolbarItem
    Dim newButton2 As AcadToolbarItem
    Dim newButton3 As AcadToolbarItem
    Dim openMacro As String
    
    ' Assign the macro string the VB equivalent of "ESC ESC _open "
    openMacro = Chr(3) & Chr(3) & Chr(95) & "open" & Chr(32)
    
    Set newButton1 = newToolBar.AddToolbarButton("", "NewButton1", "Open a file.", openMacro)
    Set newButton2 = newToolBar.AddToolbarButton("", "NewButton2", "Open a file.", openMacro)
    Set newButton3 = newToolBar.AddToolbarButton("", "NewButton3", "Open a file.", openMacro)
    
    ' Display the toolbar
    newToolBar.Visible = True
    
    ' Dock the toolbar to the left of the screen.
    newToolBar.Dock acToolbarDockLeft
    GoSub QUERYSTATUS
    
    ' Float the toolbar
    newToolBar.Float 200, 200, 1
    GoSub QUERYSTATUS
    
    Exit Sub
    
QUERYSTATUS:
    ' Query the toolbar to see if it is docked.
    If newToolBar.DockStatus = acToolbarFloating Then
        MsgBox "The toolbar is floating."
    Else
        MsgBox "The toolbar is docked."
    End If
    Return
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Float()
    ;; This example creates a new toolbar called "TestToolbar" and inserts three
    ;; buttons into it. The toolbar is then displayed as a floating toolbar,
    ;; and then as a docked toolbar.
    ;; To remove the toolbar after execution of this macro, use the Customize Menu
    ;; option from the Tools menu.
    (setq acadObj (vlax-get-acad-object))
    (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0))
  
    ;; Create the new toolbar
    (setq newToolBar (vla-Add (vla-get-Toolbars currMenuGroup) "TestToolbar"))
    
    ;; Add three buttons to the new toolbar.
    ;; All three buttons will have the same macro attached.
    (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32)))
    
    (setq newButton1 (vla-AddToolbarButton newToolBar "" "NewButton1" "Open a file." openMacro))
    (setq newButton2 (vla-AddToolbarButton newToolBar "" "NewButton2" "Open a file." openMacro))
    (setq newButton3 (vla-AddToolbarButton newToolBar "" "NewButton3" "Open a file." openMacro))    
    
    ;; Display the toolbar
    (vla-put-Visible newToolBar :vlax-true)
    
    ;; Dock the toolbar to the left of the screen.
    (vla-Dock newToolBar acToolbarDockLeft)

    ;; Query the toolbar to see if it is docked.
    (if (= (vla-get-DockStatus newToolBar) acToolbarFloating)
        (alert "The toolbar is floating.")
        (alert "The toolbar is docked.")
    )
    
    ;; Float the toolbar
    (vla-Float newToolBar 200 200 1)
  
    (if (= (vla-get-DockStatus newToolBar) acToolbarFloating)
        (alert "The toolbar is floating.")
        (alert "The toolbar is docked.")
    )
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 23:26

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部